Page MenuHomePhabricator

伺服器端
Closed, ResolvedPublic

Description

用來維護資料庫以及接收使用介面的指令

Related Objects

Event Timeline

預計使用 Java 開發 HTTP(S) server. RESTful?

iongchun renamed this task from Server side to 伺服器端.Aug 19 2017, 3:29 PM
iongchun updated the task description. (Show Details)Aug 19 2017, 4:30 PM

Entities:

  • Poll: name, begin time, end time, paused or not. with actions:
    • query
    • add
    • modify
  • (Polling) Station: name, memo, disabled or not. with actions:
    • query
    • add
    • modify
  • Voter: nationality, national ID, passport ID. with actions
    • query
    • add
  • Ballot: poll, voter, station, time, cancelled or not. with actions:
    • query (given a poll and a voter)
    • add
    • cancel
  • (Poll) Worker: account, password, is an administrator or not, disabled or not. with actions:
    • query
    • add
    • modify

New entity for nationality query:

  • Nationality: code, country code, english name, chinese name. actions:
    • query
iongchun moved this task from Backlog to Working on the 投票管理系統 board.Aug 25 2017, 11:19 AM

New entity for periods of polls:

  • Poll period: begin, end. actions:
    • add (given a poll)
    • query (given: a poll / a poll and an id)
    • change (given a poll and an id)
iongchun closed subtask T26: 安全性 as Resolved.Sep 19 2017, 4:22 PM
iongchun closed this task as Resolved.Oct 21 2017, 7:16 PM
iongchun closed subtask T31: 壓力測試 as Resolved.